#
# fishing.R, 20 Jun 21
#
# Downloads of ESEUR.pdf from knosof.co.uk website

library("colorspace")

pal_col=rainbow(4)

par(bty="l")
par(las=1)
par(lwd=2)
par(pch="+")

dl=read.csv("eseur-6month-down.csv", as.is=TRUE)
dl$Date=as.Date(paste0("28 ", dl$Date), format="%d %b %Y")

plot(dl$Date, dl$A4_pdf, type="l", log="y", col=pal_col[1],
	ylim=c(1000, 2.5e5),
	xlab="Date", ylab="Downloads\n")
lines(dl$Date, dl$A4_kbytes/dl$A4_pdf, col=pal_col[3])
lines(dl$Date, dl$mobile_kbytes/dl$mobile_pdf, col=pal_col[4])

legend("top", c("A4 downloads", "Mobile downloads",
		"kbytes per A4 download", "kbytes per mobile download"),
				bty="n", fill=pal_col, cex=1.4)

lines(dl$Date, dl$mobile_pdf, col=pal_col[2])

# first month not representative
mean((dl$mobile_pdf/(dl$A4_pdf+dl$mobile_pdf))[-1])

